Page MenuHomeFreeBSD

audio/teamspeak3-server: unbreak on 11-STABLE
ClosedPublic

Authored by lifanov on Jan 13 2017, 9:40 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mar 12 2024, 6:25 AM
Unknown Object (File)
Mar 10 2024, 11:15 AM
Unknown Object (File)
Mar 10 2024, 11:14 AM
Unknown Object (File)
Mar 10 2024, 11:14 AM
Unknown Object (File)
Mar 10 2024, 11:14 AM
Unknown Object (File)
Mar 10 2024, 10:38 AM
Unknown Object (File)
Jan 21 2024, 11:25 PM
Unknown Object (File)
Jan 18 2024, 10:18 AM
Subscribers

Details

Summary
audio/teamspeak3-server: unbreak on 11-STABLE

 PR: 212237
 Reported by: Jonathan Price <freebsd@jonathanprice.org>
 Submitted by: ultima1252@gmail.com (maintainer)
 Reviewed by: matthew
 Approved by: matthew (mentor)
 Differential Revision: https://reviews.freebsd.org/D9170

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

lifanov retitled this revision from to audio/teamspeak3-server: unbreak on 11-STABLE.
lifanov updated this object.
lifanov edited the test plan for this revision. (Show Details)
lifanov added a reviewer: matthew.
lifanov added a subscriber: koobs.

Have you tested this ? Because it cannot possibly work, OSVERSION is only defined after bsd.port.options.mk is included. (Testing in poudriere won't work, it defines OSVERSION in the environement to fake things up.)

You need to move this lower in the Makefile and change it to something like:

.if OSVERSION > 110000 && OSVERSION < <your version>
BROKEN=
.endif

Missing the PR number?

audio/teamspeak3-server/Makefile
23 ↗(On Diff #23974)

This doesn't work -- it's too early to reference ${OSVERSION} here. Has to be after the inclusion of bsd.ports.pre.mk or bsd.port.options.mk

Also, probably better to use the style:

.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1100000 && ${OSVERSION} < 1100507
BROKEN=Will not start on FreeBSD 11, Bug 212493
.endif

rather than mixing an explicit test against OSVERSION with the 'BROKEN_FreeBSD_11' form.

In D9170#189493, @mat wrote:

Have you tested this ? Because it cannot possibly work, OSVERSION is only defined after bsd.port.options.mk is included. (Testing in poudriere won't work, it defines OSVERSION in the environement to fake things up.)

You need to move this lower in the Makefile and change it to something like:

.if OSVERSION > 110000 && OSVERSION < <your version>
BROKEN=
.endif

The port is marked restricted, so it wouldn't build under poudriere even if it was syntactically correct.

lifanov edited edge metadata.

fix and switch to a single version check mechanism

I didn't test this previously because of the RESTRICTED, but I tested the version just now with LICENSE* and RESTRICTED commented out and it works.

matthew edited edge metadata.

Builds fine on 11-STABLE r310632

This revision is now accepted and ready to land.Jan 14 2017, 4:44 PM
This revision was automatically updated to reflect the committed changes.